summaryrefslogtreecommitdiff
path: root/GEMV
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:30:24 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:30:24 +0100
commitd299f8cb13199844a7272c5d4479ac7d29920a6d (patch)
tree0b0dfa7c339f5b3f2cc51515952eb9dc864dcaaf /GEMV
parentf264f58636579436f58aa3b0c2cb392938000a59 (diff)
more run-fgbs24a
Diffstat (limited to 'GEMV')
-rw-r--r--GEMV/host/app.c2
-rwxr-xr-xGEMV/run-fgbs24a.sh22
2 files changed, 23 insertions, 1 deletions
diff --git a/GEMV/host/app.c b/GEMV/host/app.c
index 268e691..d1cfaf5 100644
--- a/GEMV/host/app.c
+++ b/GEMV/host/app.c
@@ -303,7 +303,7 @@ int main(int argc, char **argv) {
n_size * m_size / timer.time[2],
n_size * m_size / (timer.time[4]),
n_size * m_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6]));
- printf(" throughput_upmem_wxr_MBps=%f throughput_upmem_lwxr_MBps=%f throughput_upmem_alwxr_MBps=%f\n",
+ printf(" throughput_upmem_wxr_MOpps=%f throughput_upmem_lwxr_MOpps=%f throughput_upmem_alwxr_MOpps=%f\n",
n_size * m_size / (timer.time[3] + timer.time[4] + timer.time[5]),
n_size * m_size / (timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5]),
n_size * m_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5]));
diff --git a/GEMV/run-fgbs24a.sh b/GEMV/run-fgbs24a.sh
new file mode 100755
index 0000000..97e01ff
--- /dev/null
+++ b/GEMV/run-fgbs24a.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+(
+
+echo "prim-benchmarks GEMV strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/gemv_host -w 0 -e 100 -m 163840 -n 4096 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"